Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Class WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter

    java.lang.Object
      org.hibernate.transaction.WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter

All Implemented Interfaces:
  TransactionManager

Enclosing class:
  WebSphereExtendedJTATransactionLookup

    public static class WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter

extends Object
implements TransactionManager

Nested Class Summary
`class` | `WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter.TransactionAdapter`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`Transaction` | `getTransaction()`
`void` | `resume(Transaction txn)`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int i)`
`Transaction` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Specified by:
    `begin` in interface `TransactionManager`
  Throws:
    `NotSupportedException`
    `SystemException`

### commit

    public void commit()
                throws UnsupportedOperationException

  Specified by:
    `commit` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### getStatus

    public int getStatus()
                  throws UnsupportedOperationException

  Specified by:
    `getStatus` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### getTransaction

    public Transaction getTransaction()
                               throws SystemException

  Specified by:
    `getTransaction` in interface `TransactionManager`
  Throws:
    `SystemException`

### resume

    public void resume(Transaction txn)
                throws UnsupportedOperationException

  Specified by:
    `resume` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### rollback

    public void rollback()
                  throws UnsupportedOperationException

  Specified by:
    `rollback` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws UnsupportedOperationException

  Specified by:
    `setRollbackOnly` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### setTransactionTimeout

    public void setTransactionTimeout(int i)
                               throws UnsupportedOperationException

  Specified by:
    `setTransactionTimeout` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

### suspend

    public Transaction suspend()
                        throws UnsupportedOperationException

  Specified by:
    `suspend` in interface `TransactionManager`
  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD